Skip to main content
GET
/
google-drive
/
installations
/
{installation_id}
/
browse
Browse Google Drive Items
curl --request GET \
  --url https://apigcp.trynia.ai/v2/google-drive/installations/{installation_id}/browse \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

installation_id
string
required

Query Parameters

folder_id
string | null

Optional Drive folder ID to browse

q
string | null

Optional Drive item name search

page_token
string | null

Pagination token from the previous response

page_size
integer
default:100

Maximum Drive items to return

Required range: 1 <= x <= 200

Response

Successful Response